| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
uiPreStackAttrib Class Reference
uiAttributes

PreStack Attribute ui. More...

`#include <uiprestackattrib.h>`

Inheritance diagram for uiPreStackAttrib:
[legend]

## Public Member Functions
| uiPreStackAttrib (uiParent *, bool)
| ~uiPreStackAttrib ()
const char * | attribName () const override
void | getEvalParams (TypeSet< EvalParam > &) const override
void | setDataPackInp (const TypeSet< DataPack::FullID > &) override
Public Member Functions inherited from uiAttrDescEd
virtual | ~uiAttrDescEd ()
virtual uiString | commit (Desc *desc=0)
Desc * | curDesc ()
const Desc * | curDesc () const
DimensionType | dimensionType () const
const char * | displayName () const
DomainType | domainType () const
uiString | errMsgStr (Desc *desc)
virtual int | getOutputIdx (float val) const
virtual float | getOutputValue (int idx) const
const ZDomain::Info * | getZDomainInfo () const
HelpKey | helpKey () const
bool | is2D () const
void | setDesc (Desc *, DescSetMan *)
void | setDescSet (DescSet *ds)
void | setDimensionType (DimensionType t)
void | setDisplayName (const char *nm)
void | setDomainType (DomainType t)
void | setNeedInputUpdate ()
virtual void | setOutputStep (float step)
void | setVideoKey (const HelpKey &k)
void | setZDomainInfo (const ZDomain::Info *)
HelpKey | videoKey () const
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static void | enableClass (bool yn)
static int | factoryID ()
static void | initClass ()
static void | removeClass ()
Static Public Member Functions inherited from uiAttrDescEd
static const char * | depthgatestr ()
static const char * | filterszstr ()
static const char * | frequencystr ()
static const char * | getInputAttribName (uiAttrSel *, const Desc &)
static const char * | stepoutstr ()
static const char * | timegatestr ()
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | angleTypSel (CallBacker *)
void | calcTypSel (CallBacker *)
void | doPreProcSel (CallBacker *)
void | gatherTypSel (CallBacker *)
void | gatherUnitSel (CallBacker *)
bool | getAngleParameters (Attrib::Desc &)
bool | getParameters (Attrib::Desc &) override
Stats::Type | getStatEnumfromString (const char *stattypename)
void | getStatTypeNames (BufferStringSet &stattypenames)
const char * | getStringfromStatEnum (Stats::Type enm)
bool | setAngleParameters (const Attrib::Desc &)
bool | setInput (const Desc &) override
bool | setParameters (const Attrib::Desc &) override
void | updateCalcType ()
Protected Member Functions inherited from uiAttrDescEd
| uiAttrDescEd (uiParent *, bool is2d, const HelpKey &)
virtual bool | areUIParsOK ()
uiImagAttrSel * | createImagInpFld (bool is2d)
uiAttrSel * | createInpFld (bool is2d, const uiString &txt=uiString::empty())
uiAttrSel * | createInpFld (const uiAttrSelData &, const uiString &txt=uiString::empty())
void | fillInp (uiAttrSel *, Desc &, int)
void | fillInp (uiSteerAttrSel *, Desc &, int)
void | fillInp (uiSteeringSel *, Desc &, int)
void | fillOutput (Desc &, int selout)
uiString | gateLabel () const
virtual bool | getInput (Desc &)
RefMan< Desc > | getInputDescFromDP (uiAttrSel *) const
bool | getInputDPID (uiAttrSel *, DataPack::FullID &) const
virtual bool | getOutput (Desc &)
bool | needInputUpdate () const
void | putInp (uiAttrSel *, const Desc &, int inpnr)
void | putInp (uiSteerAttrSel *, const Desc &, int inpnr)
void | putInp (uiSteeringSel *, const Desc &, int inpnr)
virtual bool | setOutput (const Desc &)
uiString | shiftLabel () const
uiString | zDepLabel (const uiString &pre, const uiString &post) const
const char * | zGateLabel () const
bool | zIsTime () const
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Static Protected Member Functions
static uiAttrDescEd * | createInstance (uiParent *, bool)
Static Protected Member Functions inherited from uiAttrDescEd
static uiString | sInputTypeError (int input)
static const char * | sKeyBasicGrp ()
static const char * | sKeyDipGrp ()
static const char * | sKeyFilterGrp ()
static const char * | sKeyFreqGrp ()
static const char * | sKeyOtherGrp ()
static const char * | sKeyPatternGrp ()
static const char * | sKeyPositionGrp ()
static const char * | sKeyStatsGrp ()

## Protected Attributes
PreStack::uiAngleCompGrp * | anglecompgrp_
uiGenInput * | calctypefld_
uiGenInput * | dopreprocessfld_
uiGenInput * | gathertypefld_
uiGenInput * | lsqtypefld_
PreStack::AngleCompParams & | params_
PreStack::uiProcSel * | preprocsel_
uiPreStackSel * | prestackinpfld_
uiGenInput * | stattypefld_
uiCheckBox * | useanglefld_
bool | usedatapackasinput_
uiGenInput * | valaxtypefld_
uiGenInput * | xaxistypefld_
uiGenInput * | xrgfld_
uiLabel * | xrglbl_
uiGenInput * | xunitfld_
Protected Attributes inherited from uiAttrDescEd
DescSet * | ads_ = nullptr
BufferString | attrnm_
ChangeTracker | chtr_
DimensionType | dimtyp_
DomainType | domtyp_
TypeSet< DataPack::FullID > | dpfids_
uiString | errmsg_
HelpKey | helpkey_
bool | is2d_
bool | needinpupd_
HelpKey | videokey_
const ZDomain::Info * | zdomaininfo_ = nullptr
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Static Protected Attributes
static int | factoryid_

## Additional Inherited Members
Public Types inherited from uiAttrDescEd
enum | DimensionType { AnyDim , Only3D , Only2D }
enum | DomainType { Both , Time , Depth }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Detailed Description

PreStack Attribute ui.

<>

## Constructor & Destructor Documentation

## ◆ uiPreStackAttrib()

uiPreStackAttrib::uiPreStackAttrib | ( | uiParent * | ,
|  | bool | )

## ◆ ~uiPreStackAttrib()

uiPreStackAttrib::~uiPreStackAttrib | ( |  | ) |

## Member Function Documentation

## ◆ angleTypSel()

void uiPreStackAttrib::angleTypSel | ( | CallBacker * |  | ) |
| protected

## ◆ attribName()

const char * uiPreStackAttrib::attribName | ( |  | ) | const
| override virtual

Implements uiAttrDescEd.

## ◆ calcTypSel()

void uiPreStackAttrib::calcTypSel | ( | CallBacker * |  | ) |
| protected

## ◆ createInstance()

static uiAttrDescEd * uiPreStackAttrib::createInstance | ( | uiParent * | ,
|  | bool | )
| static protected

## ◆ doPreProcSel()

void uiPreStackAttrib::doPreProcSel | ( | CallBacker * |  | ) |
| protected

## ◆ enableClass()

static void uiPreStackAttrib::enableClass | ( | bool | yn | ) |
| static

## ◆ factoryID()

static int uiPreStackAttrib::factoryID | ( |  | ) |
| inline static

## ◆ gatherTypSel()

void uiPreStackAttrib::gatherTypSel | ( | CallBacker * |  | ) |
| protected

## ◆ gatherUnitSel()

void uiPreStackAttrib::gatherUnitSel | ( | CallBacker * |  | ) |
| protected

## ◆ getAngleParameters()

bool uiPreStackAttrib::getAngleParameters | ( | Attrib::Desc & |  | ) |
| protected

## ◆ getEvalParams()

void uiPreStackAttrib::getEvalParams | ( | TypeSet< EvalParam > & |  | ) | const
| override virtual

Reimplemented from uiAttrDescEd.

## ◆ getParameters()

bool uiPreStackAttrib::getParameters | ( | Attrib::Desc & |  | ) |
| override protected virtual

Reimplemented from uiAttrDescEd.

## ◆ getStatEnumfromString()

Stats::Type uiPreStackAttrib::getStatEnumfromString | ( | const char * | stattypename | ) |
| protected

## ◆ getStatTypeNames()

void uiPreStackAttrib::getStatTypeNames | ( | BufferStringSet & | stattypenames | ) |
| protected

## ◆ getStringfromStatEnum()

const char * uiPreStackAttrib::getStringfromStatEnum | ( | Stats::Type | enm | ) |
| protected

## ◆ initClass()

static void uiPreStackAttrib::initClass | ( |  | ) |
| static

## ◆ removeClass()

static void uiPreStackAttrib::removeClass | ( |  | ) |
| static

## ◆ setAngleParameters()

bool uiPreStackAttrib::setAngleParameters | ( | const Attrib::Desc & |  | ) |
| protected

## ◆ setDataPackInp()

void uiPreStackAttrib::setDataPackInp | ( | const TypeSet< DataPack::FullID > & |  | ) |
| override virtual

Reimplemented from uiAttrDescEd.

## ◆ setInput()

bool uiPreStackAttrib::setInput | ( | const Desc & |  | ) |
| override protected virtual

Reimplemented from uiAttrDescEd.

## ◆ setParameters()

bool uiPreStackAttrib::setParameters | ( | const Attrib::Desc & |  | ) |
| override protected virtual

Reimplemented from uiAttrDescEd.

## ◆ updateCalcType()

void uiPreStackAttrib::updateCalcType | ( |  | ) |
| protected

## Member Data Documentation

## ◆ anglecompgrp_

PreStack::uiAngleCompGrp* uiPreStackAttrib::anglecompgrp_
| protected

## ◆ calctypefld_

uiGenInput* uiPreStackAttrib::calctypefld_
| protected

## ◆ dopreprocessfld_

uiGenInput* uiPreStackAttrib::dopreprocessfld_
| protected

## ◆ factoryid_

int uiPreStackAttrib::factoryid_
| static protected

## ◆ gathertypefld_

uiGenInput* uiPreStackAttrib::gathertypefld_
| protected

## ◆ lsqtypefld_

uiGenInput* uiPreStackAttrib::lsqtypefld_
| protected

## ◆ params_

PreStack::AngleCompParams& uiPreStackAttrib::params_
| protected

## ◆ preprocsel_

PreStack::uiProcSel* uiPreStackAttrib::preprocsel_
| protected

## ◆ prestackinpfld_

uiPreStackSel* uiPreStackAttrib::prestackinpfld_
| protected

## ◆ stattypefld_

uiGenInput* uiPreStackAttrib::stattypefld_
| protected

## ◆ useanglefld_

uiCheckBox* uiPreStackAttrib::useanglefld_
| protected

## ◆ usedatapackasinput_

bool uiPreStackAttrib::usedatapackasinput_
| protected

## ◆ valaxtypefld_

uiGenInput* uiPreStackAttrib::valaxtypefld_
| protected

## ◆ xaxistypefld_

uiGenInput* uiPreStackAttrib::xaxistypefld_
| protected

## ◆ xrgfld_

uiGenInput* uiPreStackAttrib::xrgfld_
| protected

## ◆ xrglbl_

uiLabel* uiPreStackAttrib::xrglbl_
| protected

## ◆ xunitfld_

uiGenInput* uiPreStackAttrib::xunitfld_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025